Bug 1413747 - when adding ~1000 hosts to host group, getting "414 URL too long"
Summary: when adding ~1000 hosts to host group, getting "414 URL too long"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Amir
QA Contact: Adam Ruzicka
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1416048 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 21:06 UTC by Jan Hutař
Modified: 2019-09-25 20:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification video (3.36 MB, application/octet-stream)
2017-08-23 08:33 UTC, Adam Ruzicka
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 18264 None None None 2017-01-26 16:02:16 UTC

Description Jan Hutař 2017-01-16 21:06:27 UTC
Description of problem:
when adding ~1000 hosts to host group, getting "URL too long"


Version-Release number of selected component (if applicable):
satellite-6.2.6-2.0.el7sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Have Satellite with 1000
   (I had slightly below 800, I guess hostname length is what matters)
2. Set Administer -> Settings -> Entries per page to 1000
3. Make sure you have some group in Configure -> Host groups
4. Go to Hosts -> All Hosts and select all hosts (using checkbox
   in table header)
5. [Select Action] -> Change Group


Actual results:
Window which appears (which usually shows overview of selected hosts and drop-down menu of groups at the bottom) stays blank.

If you open Firefox's console (other browsers might have something similar) and switch to "Network" tab to see requests your browser does before "[Select Action] -> Change Group" action, you can see that request failed with "414 URL too long" HTTP error


Expected results:
Should work with

Comment 2 Daniel Lobato Garcia 2017-01-26 15:49:20 UTC
Created redmine issue http://projects.theforeman.org/issues/18264 from this bug

Comment 3 pm-sat@redhat.com 2017-03-12 14:04:51 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 4 pm-sat@redhat.com 2017-03-22 12:05:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18264 has been resolved.

Comment 5 Tomer Brisker 2017-07-19 12:45:39 UTC
*** Bug 1416048 has been marked as a duplicate of this bug. ***

Comment 6 Adam Ruzicka 2017-08-23 08:33:11 UTC
Created attachment 1316988 [details]
verification video

Comment 7 Adam Ruzicka 2017-08-23 08:35:43 UTC
Verified.
Version Tested: Satellite-6.3 Snap 12

Package versions:
satellite-6.3.0-16.0.beta.el7sat.noarch

Tried to assign bunch roughly a thousand of hosts to a hostgroup, everything went as expected. See attachment in #6

Comment 8 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.